Bug 54730 - Span does not allow NULL Text
Summary: Span does not allow NULL Text
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 2.3.4
Hardware: PC Windows
: Normal major
Target Milestone: ---
Assignee: Chris King
URL:
Depends on:
Blocks:
 
Reported: 2017-04-07 11:32 UTC by amantha@amantha.cz
Modified: 2017-05-04 15:33 UTC (History)
4 users (show)

Tags: span null crash ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description amantha@amantha.cz 2017-04-07 11:32:07 UTC
When Running UWP application (Xamarin Forms), it throws exception when Text property of <SPAN> (inside <Label.FormattedText>) is NOT set: 

  <Label>
      <Label.FormattedText>
         <FormattedString>
            <Span x:Name="spanTest" Text="This is OK"></Span>
            <Span x:Name="spanTest2"></Span>
         </FormattedString>
     </Label.FormattedText>
   </Label>


I want to set Text in code, not in XAML.
Comment 1 Paul DiPietro [MSFT] 2017-04-07 13:55:18 UTC
This does crash on UWP but not when running on Android.
Comment 3 Rui Marinho 2017-05-04 15:33:48 UTC
Should be fixed on 2.3.6-pre1